Package org.apache.sling.jcr.contentloader.internal.readers

# Class OrderedJsonReader

java.lang.Object
org.apache.sling.jcr.contentloader.internal.readers.JsonReader
org.apache.sling.jcr.contentloader.internal.readers.OrderedJsonReader

All Implemented Interfaces:
  `ContentReader`

public class OrderedJsonReader extends JsonReader
Specific `JsonReader`, `OrderedJsonReader` parse json document exactly the same, but does specific look up for SLING:ordered : [{SLING:name: "first", ...},{SLING:name: "second", ...}] type of structure that will force import of an orderable node with first and second children, in that order. Note that this is the reponsability of the json file to set appropriate node type / mixins.

## Field Summary

### Fields inherited from class org.apache.sling.jcr.contentloader.internal.readers.JsonReader

`ignoredNames`

### Fields inherited from interface org.apache.sling.jcr.contentloader.ContentReader

`PROPERTY_EXTENSIONS, PROPERTY_TYPES`

## Constructor Summary

Constructors
Constructor
Description
`OrderedJsonReader()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`writeChildren(jakarta.json.JsonObject obj, ContentCreator contentCreator)`

### Methods inherited from class org.apache.sling.jcr.contentloader.internal.readers.JsonReader

`createNode, createPrincipals, createProperty, handleSecurity, parse, parse, toLocalRestrictions, toSrMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OrderedJsonReader

public OrderedJsonReader()

## Method Details

### writeChildren

protected void writeChildren(jakarta.json.JsonObject obj, ContentCreator contentCreator) throws javax.jcr.RepositoryException

Overrides:
  `writeChildren` in class `JsonReader`
Throws:
  `javax.jcr.RepositoryException`